But that file is already provided by package

  • Hallo,


    seit kurzem (?) habe ich ein Problem mit meinen ipk´s


    Code
    Collected errors: * check_data_file_clashes: Package enigma2-plugin-settings-sat-matzesetting-astra-hotbird wants to install file /etc/tuxbox/satellites.xml
    But that file is already provided by package * tuxbox-common *
    opkg_install_cmd: Cannot install package enigma2-plugin-settings-sat-matzesetting-astra-hotbird.


    Gibt es dafür eine Lösung oder kann man die satellites.xml so nicht mehr updaten?


    matze

    matze settings ersteller

  • Da beizt sich ein plugin mit dein update.

    Quote

    But that file is already provided by package * tuxbox-common *


    Warum dieses plugin eben ein satellites.xml beinhaltet?


    E2 Box: TWO ~ ONE ~ DM8000 ~ DM7080 ~ DM7020HD~ DM9x0 ~ DM820 ~ DM800(SE(v2))~ DM52x ~ DM500HD(v2)~ DM7025(+)
    E1 Box: DM7020 ~ DM7000 ~ DM 5620 ~ DM600 ~ DM500+ ~ DM500 ~ TRIAX 272-S
    Image: OE2.5/OE2.6 Unst./GP4.1 ~ OE2.5 Unst./GP3.3 ~ OE2.2 Unst./GP3.3 ~ OE2.0 Exp./GP3.2 ~ iCVS/GP3 ~ Gemini 4.70
    Sonstiges: DM Tastatur ~ Box: DM100 ~ Router: Fritz!Box 7590 ~ Wlan Stick: Dream Multimedia ~ Server: ALIX.3D3 ~ BananaPI
    Satelliten: WaveFrontier T90
    23,5°E | 19,2°E | 16.0°E | 13,0°E | 10,0°E | 9,0°E | 7,0°E | 4,9°E | 3.0°E | 1.9°E | 0,8°W | 4,0°W | 5,0°W | 8,0°W | 12,5°W | 15,0°W | 22,0°W | 24,5°W | 30.0°W


    Hilfe gesucht ? schau mal ins Gemini Project WIKI, auch unsere Video Tutorial sind für den Einstieg sehr empfehlenswert

  • wenn Du es trotzdem überschreiben möchtest, kannst Du die installation erzwingen.


    opkg install --force-overwrite enigma2-plugin-settings-sat-matzesetting-astra-hotbird


    7080 HD s-s-c-c (intern) c-c (sundtek)
    tuner a,b: sat 13°, 16°, 19.2°, 23.5°, 25.5°, 28.2°, 33°, 36°, 39°, 42° E
    tuner c,d,e,f: unitymedia
    dmm original dreambox os

  • Das selbe Problem gibt es auch beim OE2.2, gibt es fürs dpkg bzw apt-get auch eine Lösung?

    Gruß MaXAt0M


    1 x DreamBox 900UHD
    1 x DreamBox 7080HDSS
    3 x DreamB0X 520

  • Schuld daran ist das tuxbox-common 0.1+git0+2c88742ab0-r0.3


    E2 Box: TWO ~ ONE ~ DM8000 ~ DM7080 ~ DM7020HD~ DM9x0 ~ DM820 ~ DM800(SE(v2))~ DM52x ~ DM500HD(v2)~ DM7025(+)
    E1 Box: DM7020 ~ DM7000 ~ DM 5620 ~ DM600 ~ DM500+ ~ DM500 ~ TRIAX 272-S
    Image: OE2.5/OE2.6 Unst./GP4.1 ~ OE2.5 Unst./GP3.3 ~ OE2.2 Unst./GP3.3 ~ OE2.0 Exp./GP3.2 ~ iCVS/GP3 ~ Gemini 4.70
    Sonstiges: DM Tastatur ~ Box: DM100 ~ Router: Fritz!Box 7590 ~ Wlan Stick: Dream Multimedia ~ Server: ALIX.3D3 ~ BananaPI
    Satelliten: WaveFrontier T90
    23,5°E | 19,2°E | 16.0°E | 13,0°E | 10,0°E | 9,0°E | 7,0°E | 4,9°E | 3.0°E | 1.9°E | 0,8°W | 4,0°W | 5,0°W | 8,0°W | 12,5°W | 15,0°W | 22,0°W | 24,5°W | 30.0°W


    Hilfe gesucht ? schau mal ins Gemini Project WIKI, auch unsere Video Tutorial sind für den Einstieg sehr empfehlenswert

  • Quote

    Original von giro77
    wenn Du es trotzdem überschreiben möchtest, kannst Du die installation erzwingen.


    opkg install --force-overwrite enigma2-plugin-settings-sat-matzesetting-astra-hotbird


    Aber wie kann ich das für das online update von meinem Server machen?


    matze

    matze settings ersteller

  • Quote

    Original von matze


    Aber wie kann ich das für das online update von meinem Server machen?


    matze


    So wie giro77 es Dir schon vorgeschrieben hat. Einfach so in eine Telnetsitzung kopieren. Vorher noch zur Sicherheit "opkg update".

  • Quote

    Original von MaXAt0M
    gibt es fürs dpkg bzw apt-get auch eine Lösung?


    Der gleiche Ansatz bei dpkg:


    # dpkg -i --force-overwrite ............

  • danke __QT__


    und wenn man es mittels apt-get direkt von einem Feed installieren möchte?

    Gruß MaXAt0M


    1 x DreamBox 900UHD
    1 x DreamBox 7080HDSS
    3 x DreamB0X 520

  • Quote

    Original von MaXAt0M
    danke __QT__


    und wenn man es mittels apt-get direkt von einem Feed installieren möchte?


    genau das meinte ich, Installation vom Feed.


    matze

    matze settings ersteller

  • hab ich im moment nicht parat.
    workaround wäre sich in schritt 1 das paket zu laden (download only)

    Code
    apt-get -d install package.deb


    und dann einfach mit dpkg "quasi lokal" zu installieren.

    Code
    sudo dpkg -i --force-overwrite package.deb


    oder eventuell geht auch das hier:

    Code
    sudo apt-get -o Dpkg::Options::="--force-overwrite" install package.deb


    ich kann leider im moment nicht testen... keine box.


    7080 HD s-s-c-c (intern) c-c (sundtek)
    tuner a,b: sat 13°, 16°, 19.2°, 23.5°, 25.5°, 28.2°, 33°, 36°, 39°, 42° E
    tuner c,d,e,f: unitymedia
    dmm original dreambox os

    Edited 2 times, last by giro77 ().

  • hallo,


    ich habe jetzt die satellites.xml aus meinen settings auf dem feed entfernt. jetzt sollte es gehen.


    matze

    matze settings ersteller

  • jetzt hab' ich das problem auch schon verstanden. :rolleyes:
    sorry! keine ahnung wie man das machen kann.


    es ist wohl einfach nicht vorgesehen, dass
    files überschrieben werden.


    [edit ]ich nehme mal an, dass Deine satellites.xml an
    einem anderen passenden ort platziert werden kann/muss und
    dann der pfad im enigma selbst via python plugin "überschrieben"
    werden müsste.


    [edit] Du kannst natürlich im paket installer script (preinst) auch
    die originale satellites.xml umbennenen und auf deine installieren und
    das im postinst wieder rückgängig machen... aber das ist ein
    wirklich böser hack! :rot:


    7080 HD s-s-c-c (intern) c-c (sundtek)
    tuner a,b: sat 13°, 16°, 19.2°, 23.5°, 25.5°, 28.2°, 33°, 36°, 39°, 42° E
    tuner c,d,e,f: unitymedia
    dmm original dreambox os

    Edited 3 times, last by giro77 ().